/*
	CGI Source for TextErase.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: January 29, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc version 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __TextErase_h_
#define __TextErase_h_

#include "TextBoard.h"
#include <stdlib.h>

class TextErase : public TextBoard
{
private:
	char	*whdomain, *whip;
	char	passwd[MAX_STRING_LEN];

public:
	TextErase();
	~TextErase();

	virtual void GetEnv();
	stat	IsCanErase();
	stat	GetFileName();
	void	ReadHeader();
	
	stat	RemoveText();
	void	ShowSuccess();
};

#endif /* End of TextErase */
